import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class Flag {
    host;
    country = 'us';
    size = "m";
    render() {
        const { country, size } = this;
        return (_jsx(Host, { size: size, children: _jsx("img", { src: `https://unpkg.com/@dentsu-design-system/assets/flags/${country}.svg` }, 'a9e07fd5c022d4a0810bb8b8efa405c473a9d380') }, '23acd05df37913fbcd6981495dc451f4447ac30b'));
    }
    static get is() { return "dds-flag"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["../reset.css", "flag.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["../reset.css", "flag.css"]
        };
    }
    static get properties() {
        return {
            "country": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "country",
                "defaultValue": "'us'"
            },
            "size": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "\"s\" | \"m\" | \"l\"",
                    "resolved": "\"l\" | \"m\" | \"s\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "size",
                "defaultValue": "\"m\""
            }
        };
    }
    static get elementRef() { return "host"; }
}
